package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.List;
import java.util.Objects;

/**
 * A DTO for the TBGuidelineDetails entity.
 */
public class TBGuidelineDetailsWrapperDTO implements Serializable {

    private Long id;

    private Integer ageDayStart;

    private Integer ageDayEnd;

    private Long tbGuidelineId;

    private Long tbGuidelinePeriodId;

    private List<Object> activityGuidelines;

    private List<TBLimitsDTO> limits;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getAgeDayStart() {
        return ageDayStart;
    }

    public void setAgeDayStart(Integer ageDayStart) {
        this.ageDayStart = ageDayStart;
    }

    public Integer getAgeDayEnd() {
        return ageDayEnd;
    }

    public void setAgeDayEnd(Integer ageDayEnd) {
        this.ageDayEnd = ageDayEnd;
    }

    public Long getTbGuidelineId() {
        return tbGuidelineId;
    }

    public void setTbGuidelineId(Long tBGuidelineId) {
        this.tbGuidelineId = tBGuidelineId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBGuidelineDetailsWrapperDTO tBGuidelineDetailsDTO = (TBGuidelineDetailsWrapperDTO) o;
        if (tBGuidelineDetailsDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBGuidelineDetailsDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBGuidelineDetailsDTO{" +
            "id=" + getId() +
            ", ageDayStart=" + getAgeDayStart() +
            ", ageDayEnd=" + getAgeDayEnd() +
            ", tbGuideline=" + getTbGuidelineId() +
            "}";
    }

    public List<Object> getActivityGuidelines() {
        return activityGuidelines;
    }

    public void setActivityGuidelines(List<Object> activityGuidelines) {
        this.activityGuidelines = activityGuidelines;
    }

    public List<TBLimitsDTO> getLimits() {
        return limits;
    }

    public void setLimits(List<TBLimitsDTO> limits) {
        this.limits = limits;
    }

    public Long getTbGuidelinePeriodId() {
        return tbGuidelinePeriodId;
    }

    public void setTbGuidelinePeriodId(Long tbGuidelinePeriodId) {
        this.tbGuidelinePeriodId = tbGuidelinePeriodId;
    }
}
